.nav-header {
  transition: all 0.3s ease;
}

.header-logo {
  max-height: 100px;
  opacity: 1;
}

.logo {
  transition: height 0.3s ease-out;
}

.logo a {
  text-decoration: none;
}

.logo a:hover {
  text-decoration: none;
}

.logo-text-container {
  transition: all 0.3s ease;
}

.header-wrapper {
  display: flex;
  flex-wrap: wrap;
}

.quick-links-v2-wrapper {
  display: flex;
  gap: 4px;
  align-items: center;
  transition: opacity 0.3s ease;
}

.quick-links-container .nav-item-container,
.language-switcher-container .nav-item-container {
  color: #55565A;
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  line-height: 20px;
  letter-spacing: 0.8px;
  text-transform: uppercase;
}

.quick-links-container .btn-nav-menu-trigger,
.language-switcher-container .btn-nav-menu-trigger {
  color: #55565A;
}

.quick-link-description {
  color: #4A473D;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 22px;
  letter-spacing: 0.28px;
  text-transform: none;
}

.navigation-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 32px;
}

.main-navigation {
  flex-wrap: wrap;
}

.shrunk-state-logo {
  opacity: 0;
  max-height: 0;
  max-width: 0;
  padding: 8px 8px 8px 0;
  transition: height 0.3s ease;
}

[data-header-shrink] {
  padding: 0;
  box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.3);
}

[data-header-shrink] .shrunk-state-logo {
  opacity: 1;
  max-height: 100px;
  max-width: 100px;
  margin-bottom: 2px;
}

[data-header-shrink] .navigation-wrapper {
  margin-top: 0;
  justify-content: space-between;
}

[data-header-shrink] .logo {
  margin-top: 2px;
}

[data-header-shrink] .header-logo {
  max-height: 0;
  opacity: 0;
  pointer-events: none;
}

[data-header-shrink] .logo-text-container {
  max-height: 0;
  opacity: 0;
  pointer-events: none;
  transform: translateY(-50px);
}

[data-header-shrink] .quick-links-v2-wrapper {
  max-height: 0;
  opacity: 0;
  pointer-events: none;
}

[data-header-shrink] .donate-button {
  color: #00338D;
  background: transparent;
}

.donate-button-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.donate-button {
  padding: 10px 21.5px;
  background: #00338D;
  color: #FFFFFF;
  display: flex;
  justify-content: center;
  align-items: center;
  height: fit-content;
  gap: 7px;
  border-radius: 4px;
  font-size: 18px;
  font-style: normal;
  font-weight: 500;
  line-height: 24px;
  border: 1px solid #00338D;
  transition: all 0.3s ease-in-out;
  text-decoration: none;
}

.donate-button:hover {
  background: #0D3077;
  color: #FFFFFF;
  text-decoration: none;
}

.donate-button:active {
  background: #00338D;
}

.user-account-heading-container {
  display: flex;
  align-items: center;
  gap: 5px;
}

.user-account-heading-container img {
  padding: 10px 0;
  height: 60px;
  width: 100%;
  border-radius: 50%;
}

.user-account-heading-container ul {
  list-style-type: none;
}

.user-account img {
  height: 40px;
  width: 40px;
  max-height: 40px;
  object-fit: cover;
  border-radius: 50%;
  display: block;
}

.menu-trigger {
  display: none;
  align-self: flex-start;
  margin-top: 7px;
  height: fit-content;
}

.menu-trigger > div {
  background-color: #0D3077;
  height: 3px;
  width: 22px;
  margin-bottom: 5px;
  border-radius: 4px;
}

.menu-trigger > div:last-child {
  margin-bottom: 0;
}

@media screen and (max-width: 768px) {
  .header-wrapper {
    max-height: 0;
  }

  .main-navigation {
    display: none;
  }

  .donate-button-container {
    display: none;
  }

  .menu-trigger {
    display: block;
  }

  .shrunk-state-logo {
    opacity: 1;
    max-height: 75px;
    max-width: 75px;
  }

  .navigation-wrapper {
    margin-top: 0;
  }

  .logo {
    max-height: 0;
    opacity: 0;
    pointer-events: none;
  }

  .quick-links-v2-wrapper {
    max-height: 0;
    opacity: 0;
    pointer-events: none;
  }

  .nav-header {
    padding-top: 4px;
    padding-bottom: 4px;
  }

  [data-header-shrink] {
    padding-top: 0;
    padding-bottom: 0;
  }

  [data-header-shrink] .shrunk-state-logo {
    opacity: 1;
    max-height: 75px;
    max-width: 75px;
  }
}

.login-menu-text {
  color: #55565A;
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  line-height: 20px;
  letter-spacing: 0.8px;
  text-transform: uppercase;
  display: flex;
  align-items: center;
  gap: 4px;
}

.login-menu-text:hover {
  color: #2B2B2E;
  text-decoration: none;
}
